Loading...
Searching...
No Matches
utils.h File Reference
`#include <common/config.h>`
`#include <starpu.h>`
`#include <sys/stat.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <limits.h>`

Go to the source code of this file.

## Macros

#define | _STARPU_STRINGIFY_(x)
#define | _STARPU_STRINGIFY(x)
#define | DO_CREQ_v_WW(_creqF, _ty1F, _arg1F, _ty2F, _arg2F)
#define | DO_CREQ_v_W(_creqF, _ty1F, _arg1F)
#define | ANNOTATE_HAPPENS_BEFORE(obj)
#define | ANNOTATE_HAPPENS_BEFORE_FORGET_ALL(obj)
#define | ANNOTATE_HAPPENS_AFTER(obj)
#define | VALGRIND_HG_DISABLE_CHECKING(start, len)
#define | VALGRIND_HG_ENABLE_CHECKING(start, len)
#define | VALGRIND_STACK_REGISTER(stackbottom, stacktop)
#define | VALGRIND_STACK_DEREGISTER(id)
#define | RUNNING_ON_VALGRIND
#define | STARPU_RUNNING_ON_VALGRIND
#define | STARPU_HG_DISABLE_CHECKING(variable)
#define | STARPU_HG_ENABLE_CHECKING(variable)
#define | STARPU_DEBUG_PREFIX
#define | _STARPU_UYIELD()
#define | STARPU_VALGRIND_YIELD()
#define | STARPU_UYIELD()
#define | _STARPU_DEBUG(fmt, ...)
#define | _STARPU_DEBUG_NO_HEADER(fmt, ...)
#define | _STARPU_EXTRA_DEBUG(fmt, ...)
#define | _STARPU_LOG_IN()
#define | _STARPU_LOG_OUT()
#define | _STARPU_LOG_OUT_TAG(outtag)
#define | HOST_NAME_MAX
#define | _STARPU_MSG(fmt, ...)
#define | _STARPU_DISP(fmt, ...)
#define | _STARPU_ERROR(fmt, ...)
#define | _STARPU_DECLTYPE(x)
#define | _STARPU_MALLOC(ptr, size)
#define | _STARPU_CALLOC(ptr, nmemb, size)
#define | _STARPU_REALLOC(ptr, size)
#define | _STARPU_IS_ZERO(a)

## Enumerations

enum | initialization { UNINITIALIZED , CHANGING , INITIALIZED }

## Functions

char * | _starpu_mkdtemp_internal (char *tmpl) STARPU_ATTRIBUTE_VISIBILITY_DEFAULT
char * | _starpu_mkdtemp (char *tmpl) STARPU_ATTRIBUTE_VISIBILITY_DEFAULT
int | _starpu_mkpath (const char *s, mode_t mode)
void | _starpu_mkpath_and_check (const char *s, mode_t mode) STARPU_ATTRIBUTE_VISIBILITY_DEFAULT
char * | _starpu_mktemp (const char *directory, int flags, int *fd)
char * | _starpu_mktemp_many (const char *directory, int depth, int flags, int *fd)
void | _starpu_rmtemp_many (char *path, int depth)
void | _starpu_rmdir_many (char *path, int depth)
int | _starpu_fftruncate (FILE *file, size_t length)
int | _starpu_ftruncate (int fd, size_t length)
int | _starpu_frdlock (FILE *file)
int | _starpu_frdunlock (FILE *file)
int | _starpu_fwrlock (FILE *file)
int | _starpu_fwrunlock (FILE *file)
char * | _starpu_get_home_path (void)
void | _starpu_gethostname (char *hostname, size_t size) STARPU_ATTRIBUTE_VISIBILITY_DEFAULT
void | _starpu_drop_comments (FILE *f)
const char * | _starpu_job_get_model_name (struct _starpu_job *j)
const char * | _starpu_job_get_task_name (struct _starpu_job *j)
const char * | _starpu_codelet_get_model_name (struct starpu_codelet *cl)
const char * | _starpu_codelet_get_name (struct starpu_codelet *cl)
int | _starpu_check_mutex_deadlock (starpu_pthread_mutex_t *mutex)
void | _starpu_util_init (void)

## Function Documentation

## _starpu_mktemp_many()

char * _starpu_mktemp_many | ( | const char * | directory,
|  | int | depth,
|  | int | flags,
|  | int * | fd )

This version creates a hierarchy of n temporary directories, useful when creating a lot of temporary files to be stored in the same place

## _starpu_drop_comments()

void _starpu_drop_comments | ( | FILE * | f | ) |

If FILE is currently on a comment line, eat it.

## _starpu_job_get_model_name()

const char * _starpu_job_get_model_name | ( | struct _starpu_job * | j | ) |

Returns the symbol associated to that job if any.

## _starpu_job_get_task_name()

const char * _starpu_job_get_task_name | ( | struct _starpu_job * | j | ) |

Returns the name associated to that job if any.

## _starpu_codelet_get_model_name()

const char * _starpu_codelet_get_model_name | ( | struct starpu_codelet * | cl | ) |

Returns the symbol associated to that job if any.

## _starpu_codelet_get_name()

const char * _starpu_codelet_get_name | ( | struct starpu_codelet * | cl | ) |

Returns the name of a codelet, or fallback to the name of the perfmodel.